Bug 1879724 (CVE-2020-4051) - CVE-2020-4051 dojo: Cross-site scripting vulnerability in the editor's LinkDialog plugin
Summary: CVE-2020-4051 dojo: Cross-site scripting vulnerability in the editor's LinkDi...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-4051
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1879726 1879725
Blocks: 1879727
TreeView+ depends on / blocked
 
Reported: 2020-09-16 20:25 UTC by Pedro Sampaio
Modified: 2021-02-16 19:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in dijit. A cross-site scripting vulnerability was identified in the Editor's LinkDialog plugin. The highest threat from this vulnerability is to data confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2020-09-17 20:41:03 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2020-09-16 20:25:54 UTC
In Dijit before versions 1.11.11, and greater than or equal to 1.12.0 and less than 1.12.9, and greater than or equal to 1.13.0 and less than 1.13.8, and greater than or equal to 1.14.0 and less than 1.14.7, and greater than or equal to 1.15.0 and less than 1.15.4, and greater than or equal to 1.16.0 and less than 1.16.3, there is a cross-site scripting vulnerability in the Editor's LinkDialog plugin. This has been fixed in 1.11.11, 1.12.9, 1.13.8, 1.14.7, 1.15.4, 1.16.3.

References:

https://github.com/dojo/dijit/security/advisories/GHSA-cxjc-r2fp-7mq6

Upstream patch:

https://github.com/dojo/dijit/commit/462bdcd60d0333315fe69ab4709c894d78f61301

Comment 1 Pedro Sampaio 2020-09-16 20:26:19 UTC
Created dojo tracking bugs for this issue:

Affects: epel-6 [bug 1879725]
Affects: epel-7 [bug 1879726]

Comment 2 Todd Cullum 2020-09-17 18:48:10 UTC
Statement:

ipa as shipped with Red Hat Enterprise Linux 5, 6, 7, and 8 is not affected by this flaw because it does not use the dijit functionality of dojo.

Comment 3 Todd Cullum 2020-09-17 18:56:35 UTC
Flaw summary:

Editing a link description in dijit LinkDialog could allow for parsing of < character and lead to cross-site scripting. The patch introduces a filter which is set to replace < with &lt by default.

Comment 5 Product Security DevOps Team 2020-09-17 20:41:03 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-4051


Note You need to log in before you can comment on or make changes to this bug.